/**
 * Program: SDL Common Component
 * Author: SDL
 * Description: SDL Common Component
 */
import SdlBreadcrumb from './breadcrumb';
import SdlLoadingbar from './loadingbar/LoadingBar.vue';
import SdlModal from './modal';
import SdlFileuploader from './fileuploader/MultipleFileUploader.vue';
import SdlDatePicker from './datepicker';
import SdlRegexInput from './input/RegexInput.vue';
import sdlPagination from './pagination/Pagination.vue';
import { SdlExceldownload, SdlExcelupload } from './excel';
import SdlTree from './tree';
import SdlApprovalpath from './approvalpath/ApprovalPath.vue';
import SdlScrollToTop from './scrollToTop/ScrollToTop.vue';

const SdlControl = {
  // eslint-disable-next-line no-unused-vars
  install(Vue, options) {
    Vue.use(SdlModal, {
      dialog: true,
      dynamic: true,
      dynamicDefaults: { clickToClose: false },
      injectModalsContainer: true,
    });
    Vue.component('sdl-breadcrumb', SdlBreadcrumb);
    Vue.component('sdl-loadingbar', SdlLoadingbar);
    Vue.component('sdl-fileuploader', SdlFileuploader);
    Vue.component('sdl-datepicker', SdlDatePicker);
    Vue.component('sdl-pagination', sdlPagination);
    Vue.component('sdl-exceldownloadbtn', SdlExceldownload);
    Vue.component('sdl-exceluploadbtn', SdlExcelupload);
    Vue.component('sdl-tree', SdlTree);
    Vue.component('sdl-approvalpath', SdlApprovalpath);
    Vue.component('sdl-regex-input', SdlRegexInput);
    // Exclude Editor from SDL common component related to license
    // Vue.component('sdl-editor', SdlEditor);
    Vue.component('sdl-scroll-to-top', SdlScrollToTop);
  },
};

export default SdlControl;
